Export Agent
GET /agents/{agent_id}/exportRound-trippable with POST /agents/import (test_agent_form_roundtrip).
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | AgentDocument |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/agents/{agent_id}/export \ -H "Authorization: Bearer $COBRE_TOKEN"Response — AgentDocument
Section titled “Response — AgentDocument”| Field | Type | Notes | |
|---|---|---|---|
schema_version | integer | optional | Default 1. min 1 |
kind | string | optional | Default "agent". |
slug | string | required | — |
name | string | required | min length 1 max length 200 |
description | string | null | optional | — |
scope | workspace | organization | platform | null | optional | — |
avatar_preset | analyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | null | optional | — |
image_url | string | null | optional | max length 2048 |
is_active | boolean | optional | Default true. |
attributes | object | optional | — |
revision | RevisionDocument | optional | — |
personas | PersonaDocument[] | optional | — |